Page MenuHomePhabricator

Special:Notifications - no-js page briefly displayed when page is loading
Closed, ResolvedPublic

Description

This is the case for users that never had notifications in a wiki to which they are logged in (found when checking the fix for T142148: Special:Notifications fails to show foreign notifications (or any UI at all) on wikis where you've never received a notification.

Note: if there are read notifications, the issue is not present.

  1. Log in as a user that never had notifications from the wiki to which a user is logged in.
  2. Expand the flyout and click on 'All notifications'. While Special:Notifications is loading, 'no-js 'You have no notifications' is displayed.


Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2016, 2:10 AM
Etonkovidova updated the task description. (Show Details)Aug 9 2016, 2:24 AM
Etonkovidova renamed this task from Special:Notifications - no-js page ibriefly displayed when page is loading to Special:Notifications - no-js page briefly displayed when page is loading.Aug 10 2016, 7:00 PM

Change 305159 had a related patch set uploaded (by Mooeypoo):
Include the 'no notifications' message in nojs div

https://gerrit.wikimedia.org/r/305159

Change 305159 merged by jenkins-bot:
Include the 'no notifications' message in nojs div

https://gerrit.wikimedia.org/r/305159

Checked the fix in betalabs.

jmatazzoni closed this task as Resolved.Aug 19 2016, 12:04 AM